summaryrefslogtreecommitdiffstats
path: root/usr.sbin/pc-sysinstall/backend/functions-extractimage.sh
diff options
context:
space:
mode:
authorjpaetzel <jpaetzel@FreeBSD.org>2011-09-19 05:12:53 +0000
committerjpaetzel <jpaetzel@FreeBSD.org>2011-09-19 05:12:53 +0000
commitd3ab0cf954ad6a22d6d4abd24a9711534e70af19 (patch)
tree1fec4b3768a98ffaf158f7aef4d80eae6d13b2ca /usr.sbin/pc-sysinstall/backend/functions-extractimage.sh
parent55278d20da7e1685274612bda3ff81211ee24e98 (diff)
downloadFreeBSD-src-d3ab0cf954ad6a22d6d4abd24a9711534e70af19.zip
FreeBSD-src-d3ab0cf954ad6a22d6d4abd24a9711534e70af19.tar.gz
Fix a logic bug in pc-sysinstall creating partitions.
Improve exit when an error occurs. Fix parsing to grab values which contain extra '=' signs. Fix a bug setting the timezone properly. Fix a usage bug when setting up with gmirror. Allow a uzip file from local media to be used. Allow specifying flags for "newfs" when using UFS as the file system. Run custom commands after doing final cleanup / fstab generation and such. Also fix using relative path for config file. Approved by: re (bz)
Diffstat (limited to 'usr.sbin/pc-sysinstall/backend/functions-extractimage.sh')
-rwxr-xr-xusr.sbin/pc-sysinstall/backend/functions-extractimage.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/usr.sbin/pc-sysinstall/backend/functions-extractimage.sh b/usr.sbin/pc-sysinstall/backend/functions-extractimage.sh
index 75b5a41..5d32466 100755
--- a/usr.sbin/pc-sysinstall/backend/functions-extractimage.sh
+++ b/usr.sbin/pc-sysinstall/backend/functions-extractimage.sh
@@ -55,6 +55,10 @@ start_extract_uzip_tar()
case ${PACKAGETYPE} in
uzip)
+ if ! kldstat -v | grep -q "geom_uzip" ; then
+ exit_err "Kernel module geom_uzip not loaded"
+ fi
+
# Start by mounting the uzip image
MDDEVICE=`mdconfig -a -t vnode -o readonly -f ${INSFILE}`
mkdir -p ${FSMNT}.uzip
@@ -435,6 +439,16 @@ init_extraction()
rsync) start_rsync_copy ;;
image) start_image_install ;;
+ local)
+ get_value_from_cfg localPath
+ if [ -z "$VAL" ]
+ then
+ exit_err "Install medium was set to local, but no localPath was provided!"
+ fi
+ LOCALPATH=$VAL
+ INSFILE="${LOCALPATH}/${INSFILE}" ; export INSFILE
+ start_extract_uzip_tar
+ ;;
*) exit_err "ERROR: Unknown install medium" ;;
esac
OpenPOWER on IntegriCloud